## Apache Zeta Components Manual :: Docs For Class ezcPersistentRelationFindQuery

### PersistentObject::ezcPersistentRelationFindQuery

### Class ezcPersistentRelationFindQuery

Find query object to be used with ezcPersistentSessionIdentityDecorator.

This special find query is returned by ezcPersistentSessionIdentityDecorator::createRelationFindQuery(). It fulfills the same purpose as its parent class, but can store the $relationSource object and a $relationSetName in addition.

An instance of this object can simply be used like an ezcPersistentFindQuery.

Source for this file: /PersistentObject/src/queries/relation_find_query.php

    ezcPersistentFindQuery
       |
       --ezcPersistentRelationFindQuery

Version: | //autogen//

### Properties

string | read | `$relationSetName` Name of the named related object set to be stored in the identity map.
object | read | `$relationSource` Source objects to which related objects should be found.

### Inherited Member Variables

From ezcPersistentFindQuery
protected | `ezcPersistentFindQuery::$properties`

### Method Summary

public ezcPersistentRelationFindQuery | `__construct( $query , $className , [ $relationSetName = null] , [ $relationSource = null] )` Creates a new relation find query.

### Inherited Methods

From ezcPersistentFindQuery
public ezcPersistentFindQuery | `ezcPersistentFindQuery::__construct()` Creates a new persistent find query.
public mixed | `ezcPersistentFindQuery::__call()` Delegate to inner $query object.

### Methods

#### __construct

ezcPersistentRelationFindQuery __construct( $query , string $className , [string $relationSetName = null] , [ezcPersistentObject $relationSource = null] )

Creates a new relation find query.

Creates a new relation find query from the query object $q and the given $className. Optionally, a $relationSetName and the $relationSource object can be given. Providing these results in the creation of a named related object set when objects are found using ezcPersistentSessionIdentityDecorator::find().

##### Parameters:

Name | Type | Description
--- | --- | ---
`$query` | ezcQuerySelect |
`$className` | string |
`$relationSetName` | string |
`$relationSource` | ezcPersistentObject |

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentFindQuery::__construct()` | Creates a new persistent find query.

Documentation generated by phpDocumentor 1.4.3